﻿/*
 *  These styles are taken verbatim from the Ellucian UX Style Guide available at
 *       https://styleguide.elluciancloud.com
 *  Updated on 2/21/2018 to reflect new changes introduced in EDS 2.0.
 *      Since EDS 2.0 is not ready to be consumed, some of the suggested updates
 *      by UX team has been added here- kdkarki
 */
@font-face {
  font-family: 'Nunito';
  src: url("../fonts/Nunito-Regular.ttf") format("truetype"); }

/**********************************************************/
/*  Global Spinner                                        */
/**********************************************************/
.esg-spinner-wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  margin: 0 auto;
  background: rgba(255, 255, 255, 0.8);
  z-index: 2000;
  overflow-x: hidden !important;
  overflow-y: hidden !important; }

@-webkit-keyframes rotation {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg); }
  to {
    -webkit-transform: rotate(359deg);
    transform: rotate(359deg); } }

@keyframes rotation {
  from {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg); }
  to {
    -webkit-transform: rotate(359deg);
    transform: rotate(359deg); } }

.esg-spinner {
  left: 0;
  right: 0;
  border-left: 0.25rem solid rgba(0, 116, 219, 0.4);
  border-right: 0.25rem solid rgba(0, 116, 219, 0.4);
  position: absolute;
  top: 0;
  bottom: 0;
  width: 2.5rem;
  height: 2.5rem;
  margin: auto;
  border-top: 0.25rem solid #0074DB;
  border-bottom: 0.25rem solid rgba(0, 116, 219, 0.4);
  border-radius: 100%;
  box-sizing: border-box;
  -webkit-animation: rotation .6s infinite linear;
  animation: rotation .6s infinite linear; }

@media only screen and (min-width: 30.06em) {
  .esg-spinner {
    width: 3.75rem;
    height: 3.75rem; } }

@media only screen and (max-width: 30em) {
  .esg-table-spinner-wrapper .esg-spinner-wrapper {
    position: fixed; } }

/**********************************************************/
/*  Buttons                                               */
/**********************************************************/
button {
  font-family: Nunito, "Open Sans", Helvetica, sans-serif;
  font-style: normal;
  font-weight: 500;
  margin: 0;
  padding: 0;
  border: 0;
  background: none;
  background-image: none;
  font: inherit;
  text-transform: none;
  cursor: pointer;
  overflow: visible;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none; }

.esg-button {
  font-family: Nunito, "Open Sans", Helvetica, sans-serif;
  font-style: normal;
  font-weight: 500;
  transition: all 0.1s ease-in-out;
  -ms-touch-action: manipulation;
  touch-action: manipulation;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  display: inline-block;
  position: relative;
  padding: 0.625rem 1.25rem 0.75rem 1.25rem;
  border-radius: 5em;
  background-image: none;
  font-size: .875rem;
  line-height: 1.45;
  text-align: center;
  text-decoration: none;
  text-shadow: none;
  cursor: pointer;
  vertical-align: middle;
  box-sizing: border-box; }

.esg-button:hover, .esg-button:focus, .esg-button:active, .esg-button:active:hover, .esg-button:active:focus {
  transition: all 0.1s ease-in-out;
  text-decoration: none;
  cursor: pointer; }

.esg-button[disabled] {
  cursor: not-allowed;
  opacity: .6; }

.esg-button__icon,
.esg-button__icon .esg-icon {
  position: relative;
  width: 1rem;
  height: 1rem; }

.esg-button__icon--right {
  left: 0.4rem; }

.esg-button__icon--left {
  left: -0.2rem; }

esg-button__icon--right,
.esg-dropdown__icon--right {
  left: 0.4rem; }

.esg-button--primary,
.esg-button--primary:visited {
  background-color: #0074DB;
  color: #FFFFFF; }

.esg-button--primary:hover, .esg-button--primary:focus,
.esg-button--primary:visited:hover,
.esg-button--primary:visited:focus {
  color: #ffffff;
  background-color: #286090;
  border-color: #204d74;
  box-shadow: none !important; }

.esg-button--primary:active,
.esg-button--primary:visited:active {
  background-image: none;
  color: #ffffff;
  background-color: #204d74;
  border-color: #122B40; }

/*
.esg-button--primary:hover .esg-button__icon svg path, .esg-button--primary:focus .esg-button__icon svg path, .esg-button--primary:active .esg-button__icon svg path,
.esg-button--primary:visited:hover .esg-button__icon svg path,
.esg-button--primary:visited:focus .esg-button__icon svg path,
.esg-button--primary:visited:active .esg-button__icon svg path {
    fill: #2d544f;
}


.esg-button--primary:focus,
.esg-button--primary:visited:focus {
    border-color: #783084;
    outline: none;
    box-shadow: inset 0 -0.25rem 0 0 #6bafa6, 0 0 0 0.125rem #783084;
}


.esg-button--primary:active:hover, .esg-button--primary:active:focus,
.esg-button--primary:visited:active:hover,
.esg-button--primary:visited:active:focus {
    border-color: #51968d;
    background-image: none;
    color: #2d544f;
    box-shadow: inset 0 -0.1875rem 0 0 #6bafa6;
}

.esg-button--primary:active:focus,
.esg-button--primary:visited:active:focus {
    border-color: #783084;
    outline: none;
    box-shadow: inset 0 -0.1875rem 0 0 #6bafa6, 0 0 0 0.125rem #783084;
}
*/
.esg-button--primary:focus,
.esg-button--primary:visited:focus {
  outline: none; }

.esg-button--primary[disabled],
.esg-button--primary[disabled]:focus, .esg-button--primary[disabled]:hover,
.esg-button--primary[disabled]:active,
.esg-button--primary[disabled]:visited,
.esg-button--primary[disabled]:visited:focus,
.esg-button--primary[disabled]:visited:hover {
  background-color: #CADCEF;
  color: #2874BB;
  box-shadow: none; }

/*
.esg-button--primary .esg-button__icon svg path {
    fill: #3f756e;
}
*/
.esg-button--secondary,
.esg-button--secondary:visited {
  border: 0.0625rem solid #999999;
  background-color: #FFFFFF;
  color: #5B5E65; }

.esg-button--secondary:hover,
.esg-button--secondary:visited:hover {
  border: 0.0625rem solid #767676;
  background-color: #F2F7F6;
  color: #5B5E65; }

.esg-button--secondary:focus,
.esg-button--secondary:visited:focus {
  border: 0.0625rem solid #767676;
  background-color: #D4D4D4;
  color: #5B5E65;
  outline: none; }

/*
.esg-button--secondary:hover .esg-button__icon svg path, .esg-button--secondary:focus .esg-button__icon svg path,
.esg-button--secondary:visited:hover .esg-button__icon svg path,
.esg-button--secondary:visited:focus .esg-button__icon svg path {
    fill: #3f756e;
}
*/
.esg-button--secondary:active,
.esg-button--secondary:visited:active {
  border: 0.0625rem solid;
  border-color: #999999;
  background-color: #D4D4D4; }

.esg-button--secondary:active:hover, .esg-button--secondary:active:focus, .esg-button--secondary.esg-active:hover,
.esg-button--secondary:visited:active:hover,
.esg-button--secondary:visited:active:focus,
.esg-button--secondary:visited .esg-active:hover {
  border: 0.0625rem solid #767676;
  background-color: #D4D4D4;
  color: #5B5E65; }

/*
.esg-button--secondary:active:focus,
.esg-button--secondary:visited:active:focus {
    border-color: #783084;
    box-shadow: inset 0 -0.1875rem 0 0 #bedcd8, 0 0 0 0.125rem #783084;
}
*/
.esg-button--secondary[disabled], .esg-button--secondary[disabled]:focus, .esg-button--secondary[disabled]:hover,
.esg-button--secondary[disabled]:visited,
.esg-button--secondary[disabled]:visited:focus,
.esg-button--secondary[disabled]:visited:hover {
  border-color: #999999;
  background-color: #ffffff;
  color: #555555;
  box-shadow: none; }

/*
.esg-button--secondary .esg-button__icon svg path {
    fill: #51968d;
}
*/
.esg-button--large {
  padding: 0.85rem 1.625rem 0.75rem 1.625rem;
  font-size: 1.15rem; }

.esg-button--xlarge {
  padding: 0.75rem 1.625rem 1rem 1.625rem;
  font-size: 1.5rem; }

.esg-button--small {
  padding: 0.4375rem 1rem 0.5625rem 1rem;
  font-size: .75rem; }

.esg-button--fluid {
  display: block;
  width: 100%; }

.esg-form__input {
  font-style: normal;
  font-weight: 400;
  box-shadow: inset 0.25rem 0.25rem 0 0 #efefef;
  transition: all 0.1s ease-in-out;
  height: auto;
  padding: 0.6875rem 0.75rem;
  border: 0.0625rem solid #999999;
  border-radius: 0.429rem;
  outline: none;
  color: #333333; }

/* Don't combine these into a single directive! */
.esg-form__input::-webkit-input-placeholder {
  font-style: italic;
  font-weight: 400;
  color: #767676;
  opacity: 1; }

.esg-form__input::-moz-placeholder {
  font-style: italic;
  font-weight: 400;
  color: #767676;
  opacity: 1; }

.esg-form__input:-ms-input-placeholder {
  font-style: italic;
  font-weight: 400;
  color: #767676;
  opacity: 1; }

.esg-form__input::placeholder {
  font-style: italic;
  font-weight: 400;
  color: #767676;
  opacity: 1; }

/*Dropdown*/
.esg-dropdown {
  display: inline-block;
  position: relative;
  width: auto; }

.esg-dropdown__menu {
  float: left;
  font-family: "open_sansregular", "Open Sans", Helvetica, sans-serif;
  font-style: normal;
  font-weight: 400;
  text-align: left;
  transition: all 0.1s ease-in-out;
  box-shadow: 0 0.25rem 0.875rem rgba(0, 0, 0, 0.2);
  display: none;
  position: absolute;
  top: 100%;
  min-width: 100%;
  margin: 0;
  margin-top: 0;
  padding: 0;
  border: 0.0625rem solid #75C5FF;
  border-radius: 0 0 0.429rem 0.429rem;
  border-color: #75C5FF;
  background-color: #ffffff;
  font-size: .875rem;
  list-style: none;
  z-index: 1000;
  background-clip: padding-box; }

.esg-dropdown__menu-item:last-child:not(:first-child),
.esg-dropdown__menu-item:last-child:not(:first-child) .esg-dropdown__link,
.esg-dropdown__menu-item:last-child:not(:first-child) button,
.esg-dropdown__menu-item:last-child:not(:first-child) .esg-button {
  -webkit-border-top-left-radius: 0;
  -moz-border-topleft-radius: 0;
  border-top-left-radius: 0;
  -webkit-border-top-right-radius: 0;
  -moz-border-topright-radius: 0;
  border-top-right-radius: 0;
  -webkit-border-bottom-left-radius: 0.36rem;
  -moz-border-bottomleft-radius: 0.36rem;
  border-bottom-left-radius: 0.36rem;
  -webkit-border-bottom-right-radius: 0.36rem;
  -moz-border-bottomright-radius: 0.36rem;
  border-bottom-right-radius: 0.36rem; }

.esg-dropdown__menu-item {
  font-family: "open_sansregular", "Open Sans", Helvetica, sans-serif;
  font-style: normal;
  font-weight: 400;
  transition: all 0.1s ease-in-out;
  display: block;
  width: 100%;
  min-height: 2.75rem;
  margin: 0;
  padding: 0;
  border-bottom: 0.0625rem solid #d5d5d5;
  color: #0c0c0c;
  line-height: 2.5rem;
  text-decoration: none;
  white-space: nowrap; }

.esg-dropdown__menu-item:hover, .esg-dropdown__menu-item:focus {
  transition: all 0.1s ease-in-out;
  border-color: #B2B3B7;
  outline: #75C5FF;
  background: none;
  background-color: #EFF7FF;
  background-image: none;
  color: #151618;
  text-decoration: none; }

.esg-dropdown__menu-item.esg-is-active {
  font-family: "open_sanssemibold", "Open Sans", Helvetica, sans-serif;
  font-style: normal;
  font-weight: 500; }

.esg-dropdown__menu-item:active,
.esg-dropdown__menu-item.esg-is-active {
  transition: all 0.1s ease-in-out;
  border-color: #e6c8eb;
  outline: #75C5FF;
  background: none;
  background-color: #f7edf8;
  background-image: none;
  color: #0c0c0c; }

.esg-dropdown__menu-item:active:hover, .esg-dropdown__menu-item:active:focus, .esg-dropdown__menu-item:active:active,
.esg-dropdown__menu-item.esg-is-active:hover,
.esg-dropdown__menu-item.esg-is-active:focus,
.esg-dropdown__menu-item.esg-is-active:active {
  transition: all 0.1s ease-in-out;
  border-color: #2874BB;
  background-color: #EFF7FF; }

.esg-dropdown__link {
  font-family: "open_sansregular", "Open Sans", Helvetica, sans-serif;
  font-style: normal;
  font-weight: 400;
  transition: all 0.1s ease-in-out;
  display: block;
  width: 100%;
  height: 100%;
  padding: 0 .75rem;
  color: #0c0c0c;
  text-decoration: none; }

.esg-dropdown__link:hover, .esg-dropdown__link:focus, .esg-dropdown__link:active, .esg-dropdown__link:active:hover, .esg-dropdown__link:active:focus {
  border: 0;
  background-color: transparent;
  color: #0c0c0c;
  text-decoration: none; }

.esg-dropdown__icon {
  margin-left: 0.5rem; }

.esg-dropdown__icon .esg-icon {
  top: 0; }

.esg-button--secondary .esg-dropdown__icon .esg-icon--light {
  fill: #0074DB; }

.esg-button--primary .esg-dropdown__icon .esg-icon--light {
  fill: #B1D6F0; }

.esg-dropdown__icon--left {
  margin-right: 0.25rem;
  margin-left: -0.25rem; }

.esg-is-open {
  z-index: 1000; }

.esg-is-open.esg-button {
  border-radius: 0.429rem 0.429rem 0.125rem 0.125rem; }

.esg-is-open.esg-dropdown {
  transition: all 0.1s ease-in-out;
  box-shadow: none; }

.esg-is-open.esg-dropdown:hover, .esg-is-open.esg-dropdown:focus, .esg-is-open.esg-dropdown.esg-active:focus, .esg-is-open.esg-dropdown.esg-active:hover {
  border: 0;
  box-shadow: none; }

.esg-is-open.esg-button--primary,
.esg-is-open.esg-button--secondary {
  transition: all 0.1s ease-in-out;
  border: .0625rem solid;
  border-color: #75C5FF; }

.esg-is-open.esg-button--primary:hover, .esg-is-open.esg-button--primary:focus,
.esg-is-open.esg-button--secondary:hover,
.esg-is-open.esg-button--secondary:focus {
  transition: all 0.1s ease-in-out;
  border: .0625rem solid;
  border-color: #75C5FF; }

.esg-is-open.esg-button--primary:active,
.esg-is-open.esg-button--secondary:active {
  box-shadow: 0 0 0 0.0625rem #75C5FF, 0 0 0 0.125rem #75C5FF; }

.esg-is-open.esg-button--primary {
  background-color: #bedcd8;
  color: #2d544f; }

.esg-is-open.esg-button--secondary {
  background-color: #f0f6f5;
  color: #2d544f; }

.esg-is-open ~ .esg-dropdown__menu {
  display: block; }

.esg-is-open .esg-dropdown__menu-item {
  transition: all 0.1s ease-in-out;
  font-family: "open_sanssemibold", "Open Sans", Helvetica, sans-serif;
  font-style: normal;
  font-weight: 500;
  border-color: #783084;
  outline: #783084;
  background-color: #ffffff;
  box-shadow: inset 0 0 0 0.0625rem #ffffff; }

.esg-is-open .esg-dropdown__menu-item:focus, .esg-is-open .esg-dropdown__menu-item:hover {
  transition: all 0.1s ease-in-out;
  border: 0;
  background-color: #f0f6f5;
  color: #0c0c0c;
  box-shadow: inset 0 0 0 0.0625rem #cfe5e2; }

.esg-is-open .esg-dropdown__menu-item:active, .esg-is-open .esg-dropdown__menu-item.esg-is-active {
  transition: all 0.1s ease-in-out;
  background-color: #f7edf8;
  box-shadow: inset 0 0 0 0.0625rem #e6c8eb; }

.esg-is-open .esg-dropdown__menu-item.esg-is-active:hover, .esg-is-open .esg-dropdown__menu-item.esg-is-active:focus, .esg-is-open .esg-dropdown__menu-item:active:hover, .esg-is-open .esg-dropdown__menu-item:active:focus {
  transition: all 0.1s ease-in-out;
  border: 0;
  background-color: #f7edf8;
  color: #0c0c0c;
  box-shadow: inset 0 0 0 0.0625rem #d5a2dd; }

.esg-dropdown__menu--popover {
  margin-left: 0.5rem;
  margin-right: 0;
  right: 0;
  left: auto;
  margin-top: .5rem;
  border: 0.0625rem solid #bdbdbd;
  border-radius: 0.429rem; }

.esg-dropdown__menu--popover::before {
  border-left: 0.4375rem solid transparent;
  border-right: 0.4375rem solid transparent;
  left: auto;
  right: 0.5625rem;
  margin-left: -0.4375rem;
  margin-right: 0;
  display: inline-block;
  position: absolute;
  top: -.4175rem;
  width: 0;
  height: 0;
  border-bottom: 0.4375rem solid #bdbdbd;
  border-bottom-color: #bdbdbd;
  content: ''; }

.esg-dropdown__menu--popover::after {
  border-left: 0.375rem solid transparent;
  border-right: 0.375rem solid transparent;
  left: auto;
  right: 0.625rem;
  margin-left: -0.375rem;
  margin-right: 0;
  display: inline-block;
  position: absolute;
  top: -.35rem;
  width: 0;
  height: 0;
  border-bottom: 0.375rem solid #ffffff;
  content: ''; }

.esg-dropdown__menu--popover .esg-dropdown__menu-item:first-child,
.esg-dropdown__menu--popover .esg-dropdown__menu-item:first-child a {
  -webkit-border-top-left-radius: 0.36rem;
  -moz-border-topleft-radius: 0.36rem;
  border-top-left-radius: 0.36rem;
  -webkit-border-top-right-radius: 0.36rem;
  -moz-border-topright-radius: 0.36rem;
  border-top-right-radius: 0.36rem;
  -webkit-border-bottom-left-radius: 0;
  -moz-border-bottomleft-radius: 0;
  border-bottom-left-radius: 0;
  -webkit-border-bottom-right-radius: 0;
  -moz-border-bottomright-radius: 0;
  border-bottom-right-radius: 0; }

svg:not(:root) {
  overflow: hidden; }

.esg-icon {
  display: block;
  position: relative;
  width: 1.5rem;
  height: 1.5625rem;
  fill: #0074DB; }

.esg-icon--small {
  width: 1rem;
  height: 1.0625rem; }

.esg-icon--light {
  fill: #B1D6F0; }

.esg-icon--up {
  -webkit-transform: rotate(270deg);
  transform: rotate(270deg); }

.esg-icon--down {
  -webkit-transform: rotate(90deg);
  transform: rotate(90deg); }

.esg-dropdown__icon--right {
  left: 0.4rem; }

.esg-icon__container,
.esg-icon__container--fill,
.esg-icon__container--outline {
  display: inline-block;
  position: relative;
  background: transparent;
  text-align: center;
  vertical-align: middle;
  float: right; }

.esg-icon__container::after,
.esg-icon__container--fill::after,
.esg-icon__container--outline::after {
  clear: both; }

.esg-icon__container--fill {
  padding: 0;
  border-radius: 50%;
  background: #0074DB; }

.esg-icon__container--fill .esg-icon {
  fill: #ffffff; }

.esg-icon__container--outline {
  padding: 0;
  border: 0.0625rem solid #75C5FF;
  border-radius: 50%;
  box-sizing: border-box; }

/* Feedback */
.esg-alert {
  font-family: "open_sansregular", "Open Sans", Helvetica, sans-serif;
  font-style: normal;
  font-weight: 400;
  display: block;
  position: relative;
  width: 100%;
  min-height: 1.25rem;
  margin-top: .625rem;
  margin-bottom: 1.25rem;
  padding: 0;
  border: .0625rem solid transparent;
  border-radius: 0;
  background-image: none;
  font-size: .875rem;
  line-height: 1;
  text-shadow: none;
  white-space: nowrap;
  box-shadow: inset 0 -0.25rem 0 0 rgba(58, 118, 131, 0.15);
  box-sizing: border-box; }

.esg-alert::before {
  display: table;
  content: ''; }

.esg-alert::after {
  clear: both; }

@media screen and (min-width: 31rem) {
  .esg-alert {
    max-width: 30rem; } }

.esg-alert__icon-wrapper {
  display: table-cell;
  width: 3.125rem;
  text-align: center;
  vertical-align: middle; }

.esg-alert__icon {
  position: relative; }

.esg-alert__icon svg {
  width: 3.125rem;
  margin-top: 0; }

.esg-alert__message {
  padding: 1.125rem 1.25rem 1.125rem 1.25rem;
  font-family: "open_sanssemibold", "Open Sans", Helvetica, sans-serif;
  font-style: normal;
  font-weight: 500;
  display: table-cell;
  width: 100%;
  margin: 0;
  line-height: 1.4;
  white-space: normal; }

.esg-alert__message::after {
  clear: both; }

.esg-alert--fluid {
  max-width: 100%; }

.esg-alert--success {
  border-color: #008241;
  background-color: #b0dec5;
  color: #145f32;
  box-shadow: inset 0 -0.25rem 0 0 rgba(0, 130, 65, 0.15); }

.esg-alert--success .esg-alert__message {
  background-color: #e2fdf1;
  color: #145f32;
  box-shadow: inset 0 -0.25rem 0 0 rgba(0, 130, 65, 0.15); }

.esg-alert--success a {
  color: #145f32; }

.esg-alert--info {
  border-color: #3a7683;
  background-color: #b0cfd9;
  color: #285b66;
  box-shadow: inset 0 -0.25rem 0 0 rgba(58, 118, 131, 0.15); }

.esg-alert--info .esg-alert__message {
  background-color: #ebfbfd;
  color: #3a7683;
  box-shadow: inset 0 -0.25rem 0 0 rgba(58, 118, 131, 0.15); }

.esg-alert--info a {
  color: #3a7683; }

.esg-alert--warning {
  border-color: #c29100;
  background-color: #ffdb72;
  color: #555555;
  box-shadow: inset 0 -0.25rem 0 0 rgba(58, 118, 131, 0.15); }

.esg-alert--warning .esg-alert__message {
  background-color: #fffeea;
  color: #7b5c00;
  box-shadow: inset 0 -0.25rem 0 0 rgba(133, 97, 0, 0.15); }

.esg-alert--warning a {
  color: #7b5c00; }

.esg-alert--error {
  border-color: #cb0004;
  background-color: #f3bcb8;
  color: #a61d20;
  box-shadow: inset 0 -0.25rem 0 0 rgba(205, 59, 62, 0.15); }

.esg-alert--error .esg-alert__message {
  background-color: #fce3dd;
  color: #a61d20;
  box-shadow: inset 0 -0.25rem 0 0 rgba(205, 59, 62, 0.15); }

.esg-alert--error a {
  color: #a61d20; }

.esg-icon--success-dark {
  fill: #145f32; }

.esg-icon--error {
  fill: #D42828; }

.esg-icon--error.esg-icon--outline {
  fill: transparent;
  stroke: #D42828; }

.esg-icon--error-dark {
  fill: #a61d20; }

.esg-icon--error-dark.esg-icon--outline {
  fill: transparent;
  stroke: #D42828; }

